Index: LMDZ6/branches/Amaury_dev/libf/dyn3dmem/guide_loc_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3dmem/guide_loc_mod.F90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3dmem/guide_loc_mod.F90	(revision 5117)
@@ -1,12 +1,12 @@
 MODULE guide_loc_mod
 
-!=======================================================================
-!   Auteur:  F.Hourdin
-!            F. Codron 01/09
-!=======================================================================
+  !=======================================================================
+  !   Auteur:  F.Hourdin
+  !            F. Codron 01/09
+  !=======================================================================
 
   USE getparam, ONLY: ini_getparam, fin_getparam, getpar
   USE Write_Field_loc
-  use netcdf, ONLY: nf90_nowrite, nf90_open, nf90_inq_varid, nf90_close, &
+  USE netcdf, ONLY: nf90_nowrite, nf90_open, nf90_inq_varid, nf90_close, &
           nf90_inq_dimid, nf90_inquire_dimension, nf90_inq_dimid, &
           nf90_inquire_dimension, nf90_enddef, nf90_def_dim, nf90_put_var, nf90_noerr, nf90_close, nf90_inq_varid, &
@@ -14,61 +14,61 @@
           nf90_create, nf90_def_var, nf90_open
   USE parallel_lmdz
-  USE pres2lev_mod, ONLY: pres2lev
+  USE lmdz_pres2lev, ONLY: pres2lev
 
   IMPLICIT NONE
 
-! ---------------------------------------------
-! Declarations des cles logiques et parametres 
-! ---------------------------------------------
-  INTEGER, PRIVATE, SAVE  :: iguide_read,iguide_int,iguide_sav
-  INTEGER, PRIVATE, SAVE  :: nlevnc, guide_plevs
-  LOGICAL, PRIVATE, SAVE  :: guide_u,guide_v,guide_T,guide_Q,guide_P
-  LOGICAL, PRIVATE, SAVE  :: guide_hr,guide_teta  
-  LOGICAL, PRIVATE, SAVE  :: guide_BL,guide_reg,guide_add,gamma4,guide_zon 
-  LOGICAL, PRIVATE, SAVE  :: invert_p,invert_y,ini_anal
-  LOGICAL, PRIVATE, SAVE  :: guide_2D,guide_sav,guide_modele
-!FC
-  LOGICAL, PRIVATE, SAVE  :: convert_Pa
-  
-  REAL, PRIVATE, SAVE     :: tau_min_u,tau_max_u
-  REAL, PRIVATE, SAVE     :: tau_min_v,tau_max_v
-  REAL, PRIVATE, SAVE     :: tau_min_T,tau_max_T
-  REAL, PRIVATE, SAVE     :: tau_min_Q,tau_max_Q
-  REAL, PRIVATE, SAVE     :: tau_min_P,tau_max_P
-
-  REAL, PRIVATE, SAVE     :: lat_min_g,lat_max_g
-  REAL, PRIVATE, SAVE     :: lon_min_g,lon_max_g
-  REAL, PRIVATE, SAVE     :: tau_lon,tau_lat
-
-  REAL, PRIVATE, SAVE     :: plim_guide_BL
-
-  REAL, ALLOCATABLE, DIMENSION(:), PRIVATE, SAVE     :: alpha_u,alpha_v 
-  REAL, ALLOCATABLE, DIMENSION(:), PRIVATE, SAVE     :: alpha_T,alpha_Q 
-  REAL, ALLOCATABLE, DIMENSION(:), PRIVATE, SAVE     :: alpha_P,alpha_pcor
-  
-! ---------------------------------------------
-! Variables de guidage
-! ---------------------------------------------
-! Variables des fichiers de guidage
-  REAL, ALLOCATABLE, DIMENSION(:,:,:), PRIVATE, SAVE   :: unat1,unat2
-  REAL, ALLOCATABLE, DIMENSION(:,:,:), PRIVATE, SAVE   :: vnat1,vnat2
-  REAL, ALLOCATABLE, DIMENSION(:,:,:), PRIVATE, SAVE   :: tnat1,tnat2
-  REAL, ALLOCATABLE, DIMENSION(:,:,:), PRIVATE, SAVE   :: qnat1,qnat2
-  REAL, ALLOCATABLE, DIMENSION(:,:,:), PRIVATE, SAVE   :: pnat1,pnat2
-  REAL, ALLOCATABLE, DIMENSION(:,:),   PRIVATE, SAVE   :: psnat1,psnat2
-  REAL, ALLOCATABLE, DIMENSION(:),     PRIVATE, SAVE   :: apnc,bpnc
-! Variables aux dimensions du modele
-  REAL, ALLOCATABLE, DIMENSION(:,:),   PRIVATE, SAVE   :: ugui1,ugui2
-  REAL, ALLOCATABLE, DIMENSION(:,:),   PRIVATE, SAVE   :: vgui1,vgui2
-  REAL, ALLOCATABLE, DIMENSION(:,:),   PRIVATE, SAVE   :: tgui1,tgui2
-  REAL, ALLOCATABLE, DIMENSION(:,:),   PRIVATE, SAVE   :: qgui1,qgui2
-  REAL, ALLOCATABLE, DIMENSION(:),   PRIVATE, SAVE   :: psgui1,psgui2
-  
-  INTEGER,SAVE,PRIVATE :: ijbu,ijbv,ijeu,ijev !,ijnu,ijnv
-  INTEGER,SAVE,PRIVATE :: jjbu,jjbv,jjeu,jjev,jjnu,jjnv
+  ! ---------------------------------------------
+  ! Declarations des cles logiques et parametres
+  ! ---------------------------------------------
+  INTEGER, PRIVATE, SAVE :: iguide_read, iguide_int, iguide_sav
+  INTEGER, PRIVATE, SAVE :: nlevnc, guide_plevs
+  LOGICAL, PRIVATE, SAVE :: guide_u, guide_v, guide_T, guide_Q, guide_P
+  LOGICAL, PRIVATE, SAVE :: guide_hr, guide_teta
+  LOGICAL, PRIVATE, SAVE :: guide_BL, guide_reg, guide_add, gamma4, guide_zon
+  LOGICAL, PRIVATE, SAVE :: invert_p, invert_y, ini_anal
+  LOGICAL, PRIVATE, SAVE :: guide_2D, guide_sav, guide_modele
+  !FC
+  LOGICAL, PRIVATE, SAVE :: convert_Pa
+
+  REAL, PRIVATE, SAVE :: tau_min_u, tau_max_u
+  REAL, PRIVATE, SAVE :: tau_min_v, tau_max_v
+  REAL, PRIVATE, SAVE :: tau_min_T, tau_max_T
+  REAL, PRIVATE, SAVE :: tau_min_Q, tau_max_Q
+  REAL, PRIVATE, SAVE :: tau_min_P, tau_max_P
+
+  REAL, PRIVATE, SAVE :: lat_min_g, lat_max_g
+  REAL, PRIVATE, SAVE :: lon_min_g, lon_max_g
+  REAL, PRIVATE, SAVE :: tau_lon, tau_lat
+
+  REAL, PRIVATE, SAVE :: plim_guide_BL
+
+  REAL, ALLOCATABLE, DIMENSION(:), PRIVATE, SAVE :: alpha_u, alpha_v
+  REAL, ALLOCATABLE, DIMENSION(:), PRIVATE, SAVE :: alpha_T, alpha_Q
+  REAL, ALLOCATABLE, DIMENSION(:), PRIVATE, SAVE :: alpha_P, alpha_pcor
+
+  ! ---------------------------------------------
+  ! Variables de guidage
+  ! ---------------------------------------------
+  ! Variables des fichiers de guidage
+  REAL, ALLOCATABLE, DIMENSION(:, :, :), PRIVATE, SAVE :: unat1, unat2
+  REAL, ALLOCATABLE, DIMENSION(:, :, :), PRIVATE, SAVE :: vnat1, vnat2
+  REAL, ALLOCATABLE, DIMENSION(:, :, :), PRIVATE, SAVE :: tnat1, tnat2
+  REAL, ALLOCATABLE, DIMENSION(:, :, :), PRIVATE, SAVE :: qnat1, qnat2
+  REAL, ALLOCATABLE, DIMENSION(:, :, :), PRIVATE, SAVE :: pnat1, pnat2
+  REAL, ALLOCATABLE, DIMENSION(:, :), PRIVATE, SAVE :: psnat1, psnat2
+  REAL, ALLOCATABLE, DIMENSION(:), PRIVATE, SAVE :: apnc, bpnc
+  ! Variables aux dimensions du modele
+  REAL, ALLOCATABLE, DIMENSION(:, :), PRIVATE, SAVE :: ugui1, ugui2
+  REAL, ALLOCATABLE, DIMENSION(:, :), PRIVATE, SAVE :: vgui1, vgui2
+  REAL, ALLOCATABLE, DIMENSION(:, :), PRIVATE, SAVE :: tgui1, tgui2
+  REAL, ALLOCATABLE, DIMENSION(:, :), PRIVATE, SAVE :: qgui1, qgui2
+  REAL, ALLOCATABLE, DIMENSION(:), PRIVATE, SAVE :: psgui1, psgui2
+
+  INTEGER, SAVE, PRIVATE :: ijbu, ijbv, ijeu, ijev !,ijnu,ijnv
+  INTEGER, SAVE, PRIVATE :: jjbu, jjbv, jjeu, jjev, jjnu, jjnv
 
 
 CONTAINS
-!=======================================================================
+  !=======================================================================
 
   SUBROUTINE guide_init
@@ -78,286 +78,281 @@
 
     IMPLICIT NONE
-  
+
     INCLUDE "dimensions.h"
     INCLUDE "paramet.h"
 
-    INTEGER                :: error,ncidpl,rid,rcod
-    CHARACTER (len = 80)   :: abort_message
-    CHARACTER (len = 20)   :: modname = 'guide_init'
-    CHARACTER (len = 20)   :: namedim
-
-! ---------------------------------------------
-! Lecture des parametres:  
-! ---------------------------------------------
+    INTEGER :: error, ncidpl, rid, rcod
+    CHARACTER (len = 80) :: abort_message
+    CHARACTER (len = 20) :: modname = 'guide_init'
+    CHARACTER (len = 20) :: namedim
+
+    ! ---------------------------------------------
+    ! Lecture des parametres:
+    ! ---------------------------------------------
     CALL ini_getparam("nudging_parameters_out.txt")
-! Variables guidees
-    CALL getpar('guide_u',.TRUE.,guide_u,'guidage de u')
-    CALL getpar('guide_v',.TRUE.,guide_v,'guidage de v')
-    CALL getpar('guide_T',.TRUE.,guide_T,'guidage de T')
-    CALL getpar('guide_P',.TRUE.,guide_P,'guidage de P')
-    CALL getpar('guide_Q',.TRUE.,guide_Q,'guidage de Q')
-    CALL getpar('guide_hr',.TRUE.,guide_hr,'guidage de Q par H.R')
-    CALL getpar('guide_teta',.FALSE.,guide_teta,'guidage de T par Teta')
-
-    CALL getpar('guide_add',.FALSE.,guide_add,'foréage constant?')
-    CALL getpar('guide_zon',.FALSE.,guide_zon,'guidage moy zonale')
-    if (guide_zon .and. abs(grossismx - 1.) > 0.01) &
-         CALL abort_gcm("guide_init", &
-         "zonal nudging requires grid regular in longitude", 1)
-
-!   Constantes de rappel. Unite : fraction de jour
-    CALL getpar('tau_min_u',0.02,tau_min_u,'Cste de rappel min, u')
-    CALL getpar('tau_max_u', 10.,tau_max_u,'Cste de rappel max, u')
-    CALL getpar('tau_min_v',0.02,tau_min_v,'Cste de rappel min, v')
-    CALL getpar('tau_max_v', 10.,tau_max_v,'Cste de rappel max, v')
-    CALL getpar('tau_min_T',0.02,tau_min_T,'Cste de rappel min, T')
-    CALL getpar('tau_max_T', 10.,tau_max_T,'Cste de rappel max, T')
-    CALL getpar('tau_min_Q',0.02,tau_min_Q,'Cste de rappel min, Q')
-    CALL getpar('tau_max_Q', 10.,tau_max_Q,'Cste de rappel max, Q')
-    CALL getpar('tau_min_P',0.02,tau_min_P,'Cste de rappel min, P')
-    CALL getpar('tau_max_P', 10.,tau_max_P,'Cste de rappel max, P')
-    CALL getpar('gamma4',.FALSE.,gamma4,'Zone sans rappel elargie')
-    CALL getpar('guide_BL',.TRUE.,guide_BL,'guidage dans C.Lim')
-    CALL getpar('plim_guide_BL',85000.,plim_guide_BL,'BL top presnivs value')
-
-! Sauvegarde du forçage
-    CALL getpar('guide_sav',.FALSE.,guide_sav,'sauvegarde guidage')
-    CALL getpar('iguide_sav',4,iguide_sav,'freq. sauvegarde guidage')
+    ! Variables guidees
+    CALL getpar('guide_u', .TRUE., guide_u, 'guidage de u')
+    CALL getpar('guide_v', .TRUE., guide_v, 'guidage de v')
+    CALL getpar('guide_T', .TRUE., guide_T, 'guidage de T')
+    CALL getpar('guide_P', .TRUE., guide_P, 'guidage de P')
+    CALL getpar('guide_Q', .TRUE., guide_Q, 'guidage de Q')
+    CALL getpar('guide_hr', .TRUE., guide_hr, 'guidage de Q par H.R')
+    CALL getpar('guide_teta', .FALSE., guide_teta, 'guidage de T par Teta')
+
+    CALL getpar('guide_add', .FALSE., guide_add, 'foréage constant?')
+    CALL getpar('guide_zon', .FALSE., guide_zon, 'guidage moy zonale')
+    IF (guide_zon .AND. abs(grossismx - 1.) > 0.01) &
+            CALL abort_gcm("guide_init", &
+                    "zonal nudging requires grid regular in longitude", 1)
+
+    !   Constantes de rappel. Unite : fraction de jour
+    CALL getpar('tau_min_u', 0.02, tau_min_u, 'Cste de rappel min, u')
+    CALL getpar('tau_max_u', 10., tau_max_u, 'Cste de rappel max, u')
+    CALL getpar('tau_min_v', 0.02, tau_min_v, 'Cste de rappel min, v')
+    CALL getpar('tau_max_v', 10., tau_max_v, 'Cste de rappel max, v')
+    CALL getpar('tau_min_T', 0.02, tau_min_T, 'Cste de rappel min, T')
+    CALL getpar('tau_max_T', 10., tau_max_T, 'Cste de rappel max, T')
+    CALL getpar('tau_min_Q', 0.02, tau_min_Q, 'Cste de rappel min, Q')
+    CALL getpar('tau_max_Q', 10., tau_max_Q, 'Cste de rappel max, Q')
+    CALL getpar('tau_min_P', 0.02, tau_min_P, 'Cste de rappel min, P')
+    CALL getpar('tau_max_P', 10., tau_max_P, 'Cste de rappel max, P')
+    CALL getpar('gamma4', .FALSE., gamma4, 'Zone sans rappel elargie')
+    CALL getpar('guide_BL', .TRUE., guide_BL, 'guidage dans C.Lim')
+    CALL getpar('plim_guide_BL', 85000., plim_guide_BL, 'BL top presnivs value')
+
+    ! Sauvegarde du forçage
+    CALL getpar('guide_sav', .FALSE., guide_sav, 'sauvegarde guidage')
+    CALL getpar('iguide_sav', 4, iguide_sav, 'freq. sauvegarde guidage')
     ! frequences f>0: fx/jour; f<0: tous les f jours; f=0: 1 seule fois.
     IF (iguide_sav>0) THEN
-       iguide_sav=day_step/iguide_sav
+      iguide_sav = day_step / iguide_sav
     ELSE if (iguide_sav == 0) THEN
-       iguide_sav = huge(0)
+      iguide_sav = huge(0)
     ELSE
-       iguide_sav=day_step*iguide_sav
-    ENDIF
-
-! Guidage regional seulement (sinon constant ou suivant le zoom)
-    CALL getpar('guide_reg',.FALSE.,guide_reg,'guidage regional')
-    CALL getpar('lat_min_g',-90.,lat_min_g,'Latitude mini guidage ')
-    CALL getpar('lat_max_g', 90.,lat_max_g,'Latitude maxi guidage ')
-    CALL getpar('lon_min_g',-180.,lon_min_g,'longitude mini guidage ')
-    CALL getpar('lon_max_g', 180.,lon_max_g,'longitude maxi guidage ')
-    CALL getpar('tau_lat', 5.,tau_lat,'raideur lat guide regional ')
-    CALL getpar('tau_lon', 5.,tau_lon,'raideur lon guide regional ')
-
-! Parametres pour lecture des fichiers
-    CALL getpar('iguide_read',4,iguide_read,'freq. lecture guidage')
-    CALL getpar('iguide_int',4,iguide_int,'freq. interpolation vert')
+      iguide_sav = day_step * iguide_sav
+    ENDIF
+
+    ! Guidage regional seulement (sinon constant ou suivant le zoom)
+    CALL getpar('guide_reg', .FALSE., guide_reg, 'guidage regional')
+    CALL getpar('lat_min_g', -90., lat_min_g, 'Latitude mini guidage ')
+    CALL getpar('lat_max_g', 90., lat_max_g, 'Latitude maxi guidage ')
+    CALL getpar('lon_min_g', -180., lon_min_g, 'longitude mini guidage ')
+    CALL getpar('lon_max_g', 180., lon_max_g, 'longitude maxi guidage ')
+    CALL getpar('tau_lat', 5., tau_lat, 'raideur lat guide regional ')
+    CALL getpar('tau_lon', 5., tau_lon, 'raideur lon guide regional ')
+
+    ! Parametres pour lecture des fichiers
+    CALL getpar('iguide_read', 4, iguide_read, 'freq. lecture guidage')
+    CALL getpar('iguide_int', 4, iguide_int, 'freq. interpolation vert')
     IF (iguide_int==0) THEN
-        iguide_int=1
+      iguide_int = 1
     ELSEIF (iguide_int>0) THEN
-        iguide_int=day_step/iguide_int
+      iguide_int = day_step / iguide_int
     ELSE
-        iguide_int=day_step*iguide_int
-    ENDIF
-    CALL getpar('guide_plevs',0,guide_plevs,'niveaux pression fichiers guidage')
+      iguide_int = day_step * iguide_int
+    ENDIF
+    CALL getpar('guide_plevs', 0, guide_plevs, 'niveaux pression fichiers guidage')
     ! Pour compatibilite avec ancienne version avec guide_modele
-    CALL getpar('guide_modele',.FALSE.,guide_modele,'niveaux pression ap+bp*psol')
+    CALL getpar('guide_modele', .FALSE., guide_modele, 'niveaux pression ap+bp*psol')
     IF (guide_modele) THEN
-        guide_plevs=1
-    ENDIF
-!FC
-    CALL getpar('convert_Pa',.TRUE.,convert_Pa,'Convert Pressure levels in Pa')
+      guide_plevs = 1
+    ENDIF
+    !FC
+    CALL getpar('convert_Pa', .TRUE., convert_Pa, 'Convert Pressure levels in Pa')
     ! Fin raccord
-    CALL getpar('ini_anal',.FALSE.,ini_anal,'Etat initial = analyse')
-    CALL getpar('guide_invertp',.TRUE.,invert_p,'niveaux p inverses')
-    CALL getpar('guide_inverty',.TRUE.,invert_y,'inversion N-S')
-    CALL getpar('guide_2D',.FALSE.,guide_2D,'fichier guidage lat-P')
+    CALL getpar('ini_anal', .FALSE., ini_anal, 'Etat initial = analyse')
+    CALL getpar('guide_invertp', .TRUE., invert_p, 'niveaux p inverses')
+    CALL getpar('guide_inverty', .TRUE., invert_y, 'inversion N-S')
+    CALL getpar('guide_2D', .FALSE., guide_2D, 'fichier guidage lat-P')
 
     CALL fin_getparam
-    
-! ---------------------------------------------
-! Determination du nombre de niveaux verticaux
-! des fichiers guidage
-! ---------------------------------------------
-    ncidpl=-99
-    if (guide_plevs==1) THEN
-       if (ncidpl==-99) THEN
-          rcod=nf90_open('apbp.nc',nf90_nowrite, ncidpl)
-          if (rcod/=nf90_noerr) THEN
-             abort_message=' Nudging error -> no file apbp.nc'
-             CALL abort_gcm(modname,abort_message,1)
-          endif
-       endif
+
+    ! ---------------------------------------------
+    ! Determination du nombre de niveaux verticaux
+    ! des fichiers guidage
+    ! ---------------------------------------------
+    ncidpl = -99
+    IF (guide_plevs==1) THEN
+      IF (ncidpl==-99) THEN
+        rcod = nf90_open('apbp.nc', nf90_nowrite, ncidpl)
+        IF (rcod/=nf90_noerr) THEN
+          abort_message = ' Nudging error -> no file apbp.nc'
+          CALL abort_gcm(modname, abort_message, 1)
+        endif
+      endif
     elseif (guide_plevs==2) THEN
-       if (ncidpl==-99) THEN
-          rcod=nf90_open('P.nc',nf90_nowrite,ncidpl)
-          if (rcod/=nf90_noerr) THEN
-             abort_message=' Nudging error -> no file P.nc'
-             CALL abort_gcm(modname,abort_message,1)
-          endif
-       endif
+      IF (ncidpl==-99) THEN
+        rcod = nf90_open('P.nc', nf90_nowrite, ncidpl)
+        IF (rcod/=nf90_noerr) THEN
+          abort_message = ' Nudging error -> no file P.nc'
+          CALL abort_gcm(modname, abort_message, 1)
+        endif
+      endif
 
     elseif (guide_u) THEN
-       if (ncidpl==-99) THEN
-          rcod=nf90_open('u.nc',nf90_nowrite,ncidpl)
-          if (rcod/=nf90_noerr) THEN
-             abort_message=' Nudging error -> no file u.nc'
-             CALL abort_gcm(modname,abort_message,1)
-          endif
-          
-       endif
-
+      IF (ncidpl==-99) THEN
+        rcod = nf90_open('u.nc', nf90_nowrite, ncidpl)
+        IF (rcod/=nf90_noerr) THEN
+          abort_message = ' Nudging error -> no file u.nc'
+          CALL abort_gcm(modname, abort_message, 1)
+        endif
+
+      endif
 
     elseif (guide_v) THEN
-       if (ncidpl==-99) THEN
-          rcod=nf90_open('v.nc',nf90_nowrite,ncidpl)
-          if (rcod/=nf90_noerr) THEN
-             abort_message=' Nudging error -> no file v.nc'
-             CALL abort_gcm(modname,abort_message,1)
-          endif
-       endif
-
-    
+      IF (ncidpl==-99) THEN
+        rcod = nf90_open('v.nc', nf90_nowrite, ncidpl)
+        IF (rcod/=nf90_noerr) THEN
+          abort_message = ' Nudging error -> no file v.nc'
+          CALL abort_gcm(modname, abort_message, 1)
+        endif
+      endif
+
     elseif (guide_T) THEN
-       if (ncidpl==-99) THEN
-          rcod=nf90_open('T.nc',nf90_nowrite,ncidpl)
-          if (rcod/=nf90_noerr) THEN
-             abort_message=' Nudging error -> no file T.nc'
-             CALL abort_gcm(modname,abort_message,1)
-          endif
-       endif
-
-
+      IF (ncidpl==-99) THEN
+        rcod = nf90_open('T.nc', nf90_nowrite, ncidpl)
+        IF (rcod/=nf90_noerr) THEN
+          abort_message = ' Nudging error -> no file T.nc'
+          CALL abort_gcm(modname, abort_message, 1)
+        endif
+      endif
 
     elseif (guide_Q) THEN
-       if (ncidpl==-99) THEN
-          rcod=nf90_open('hur.nc',nf90_nowrite, ncidpl)
-          if (rcod/=nf90_noerr) THEN
-             abort_message=' Nudging error -> no file hur.nc'
-             CALL abort_gcm(modname,abort_message,1)
-          endif
-       endif
-
-
-    endif 
-    error=nf90_inq_dimid(ncidpl,'LEVEL',rid)
-    IF (error/=nf90_noerr) error=nf90_inq_dimid(ncidpl,'PRESSURE',rid)
+      IF (ncidpl==-99) THEN
+        rcod = nf90_open('hur.nc', nf90_nowrite, ncidpl)
+        IF (rcod/=nf90_noerr) THEN
+          abort_message = ' Nudging error -> no file hur.nc'
+          CALL abort_gcm(modname, abort_message, 1)
+        endif
+      endif
+
+    endif
+    error = nf90_inq_dimid(ncidpl, 'LEVEL', rid)
+    IF (error/=nf90_noerr) error = nf90_inq_dimid(ncidpl, 'PRESSURE', rid)
     IF (error/=nf90_noerr) THEN
-        abort_message='Nudging: error reading pressure levels'
-        CALL abort_gcm(modname,abort_message,1)
-    ENDIF
-    error=nf90_inquire_dimension(ncidpl,rid,len=nlevnc)
-    WRITE(*,*)trim(modname)//' : number of vertical levels nlevnc', nlevnc
+      abort_message = 'Nudging: error reading pressure levels'
+      CALL abort_gcm(modname, abort_message, 1)
+    ENDIF
+    error = nf90_inquire_dimension(ncidpl, rid, len = nlevnc)
+    WRITE(*, *)trim(modname) // ' : number of vertical levels nlevnc', nlevnc
     rcod = nf90_close(ncidpl)
 
-! ---------------------------------------------
-! Allocation des variables
-! ---------------------------------------------
-    abort_message='nudging allocation error'
+    ! ---------------------------------------------
+    ! Allocation des variables
+    ! ---------------------------------------------
+    abort_message = 'nudging allocation error'
 
     ALLOCATE(apnc(nlevnc), stat = error)
-    IF (error /= 0) CALL abort_gcm(modname,abort_message,1)
+    IF (error /= 0) CALL abort_gcm(modname, abort_message, 1)
     ALLOCATE(bpnc(nlevnc), stat = error)
-    IF (error /= 0) CALL abort_gcm(modname,abort_message,1)
-    apnc=0.;bpnc=0.
+    IF (error /= 0) CALL abort_gcm(modname, abort_message, 1)
+    apnc = 0.;bpnc = 0.
 
     ALLOCATE(alpha_pcor(llm), stat = error)
-    IF (error /= 0) CALL abort_gcm(modname,abort_message,1)
+    IF (error /= 0) CALL abort_gcm(modname, abort_message, 1)
     ALLOCATE(alpha_u(ijb_u:ije_u), stat = error)
-    IF (error /= 0) CALL abort_gcm(modname,abort_message,1)
+    IF (error /= 0) CALL abort_gcm(modname, abort_message, 1)
     ALLOCATE(alpha_v(ijb_v:ije_v), stat = error)
-    IF (error /= 0) CALL abort_gcm(modname,abort_message,1)
+    IF (error /= 0) CALL abort_gcm(modname, abort_message, 1)
     ALLOCATE(alpha_T(ijb_u:ije_u), stat = error)
-    IF (error /= 0) CALL abort_gcm(modname,abort_message,1)
+    IF (error /= 0) CALL abort_gcm(modname, abort_message, 1)
     ALLOCATE(alpha_Q(ijb_u:ije_u), stat = error)
-    IF (error /= 0) CALL abort_gcm(modname,abort_message,1)
+    IF (error /= 0) CALL abort_gcm(modname, abort_message, 1)
     ALLOCATE(alpha_P(ijb_u:ije_u), stat = error)
-    IF (error /= 0) CALL abort_gcm(modname,abort_message,1)
-    alpha_u=0.;alpha_v=0;alpha_T=0;alpha_Q=0;alpha_P=0
-    
+    IF (error /= 0) CALL abort_gcm(modname, abort_message, 1)
+    alpha_u = 0.;alpha_v = 0;alpha_T = 0;alpha_Q = 0;alpha_P = 0
+
     IF (guide_u) THEN
-        ALLOCATE(unat1(iip1,jjb_u:jje_u,nlevnc), stat = error)
-        IF (error /= 0) CALL abort_gcm(modname,abort_message,1)
-        ALLOCATE(ugui1(ijb_u:ije_u,llm), stat = error)
-        IF (error /= 0) CALL abort_gcm(modname,abort_message,1)
-        ALLOCATE(unat2(iip1,jjb_u:jje_u,nlevnc), stat = error)
-        IF (error /= 0) CALL abort_gcm(modname,abort_message,1)
-        ALLOCATE(ugui2(ijb_u:ije_u,llm), stat = error)
-        IF (error /= 0) CALL abort_gcm(modname,abort_message,1)
-        unat1=0.;unat2=0.;ugui1=0.;ugui2=0.
+      ALLOCATE(unat1(iip1, jjb_u:jje_u, nlevnc), stat = error)
+      IF (error /= 0) CALL abort_gcm(modname, abort_message, 1)
+      ALLOCATE(ugui1(ijb_u:ije_u, llm), stat = error)
+      IF (error /= 0) CALL abort_gcm(modname, abort_message, 1)
+      ALLOCATE(unat2(iip1, jjb_u:jje_u, nlevnc), stat = error)
+      IF (error /= 0) CALL abort_gcm(modname, abort_message, 1)
+      ALLOCATE(ugui2(ijb_u:ije_u, llm), stat = error)
+      IF (error /= 0) CALL abort_gcm(modname, abort_message, 1)
+      unat1 = 0.;unat2 = 0.;ugui1 = 0.;ugui2 = 0.
     ENDIF
 
     IF (guide_T) THEN
-        ALLOCATE(tnat1(iip1,jjb_u:jje_u,nlevnc), stat = error)
-        IF (error /= 0) CALL abort_gcm(modname,abort_message,1)
-        ALLOCATE(tgui1(ijb_u:ije_u,llm), stat = error)
-        IF (error /= 0) CALL abort_gcm(modname,abort_message,1)
-        ALLOCATE(tnat2(iip1,jjb_u:jje_u,nlevnc), stat = error)
-        IF (error /= 0) CALL abort_gcm(modname,abort_message,1)
-        ALLOCATE(tgui2(ijb_u:ije_u,llm), stat = error)
-        IF (error /= 0) CALL abort_gcm(modname,abort_message,1)
-        tnat1=0.;tnat2=0.;tgui1=0.;tgui2=0.
-    ENDIF
-     
+      ALLOCATE(tnat1(iip1, jjb_u:jje_u, nlevnc), stat = error)
+      IF (error /= 0) CALL abort_gcm(modname, abort_message, 1)
+      ALLOCATE(tgui1(ijb_u:ije_u, llm), stat = error)
+      IF (error /= 0) CALL abort_gcm(modname, abort_message, 1)
+      ALLOCATE(tnat2(iip1, jjb_u:jje_u, nlevnc), stat = error)
+      IF (error /= 0) CALL abort_gcm(modname, abort_message, 1)
+      ALLOCATE(tgui2(ijb_u:ije_u, llm), stat = error)
+      IF (error /= 0) CALL abort_gcm(modname, abort_message, 1)
+      tnat1 = 0.;tnat2 = 0.;tgui1 = 0.;tgui2 = 0.
+    ENDIF
+
     IF (guide_Q) THEN
-        ALLOCATE(qnat1(iip1,jjb_u:jje_u,nlevnc), stat = error)
-        IF (error /= 0) CALL abort_gcm(modname,abort_message,1)
-        ALLOCATE(qgui1(ijb_u:ije_u,llm), stat = error)
-        IF (error /= 0) CALL abort_gcm(modname,abort_message,1)
-        ALLOCATE(qnat2(iip1,jjb_u:jje_u,nlevnc), stat = error)
-        IF (error /= 0) CALL abort_gcm(modname,abort_message,1)
-        ALLOCATE(qgui2(ijb_u:ije_u,llm), stat = error)
-        IF (error /= 0) CALL abort_gcm(modname,abort_message,1)
-        qnat1=0.;qnat2=0.;qgui1=0.;qgui2=0.
+      ALLOCATE(qnat1(iip1, jjb_u:jje_u, nlevnc), stat = error)
+      IF (error /= 0) CALL abort_gcm(modname, abort_message, 1)
+      ALLOCATE(qgui1(ijb_u:ije_u, llm), stat = error)
+      IF (error /= 0) CALL abort_gcm(modname, abort_message, 1)
+      ALLOCATE(qnat2(iip1, jjb_u:jje_u, nlevnc), stat = error)
+      IF (error /= 0) CALL abort_gcm(modname, abort_message, 1)
+      ALLOCATE(qgui2(ijb_u:ije_u, llm), stat = error)
+      IF (error /= 0) CALL abort_gcm(modname, abort_message, 1)
+      qnat1 = 0.;qnat2 = 0.;qgui1 = 0.;qgui2 = 0.
     ENDIF
 
     IF (guide_v) THEN
-        ALLOCATE(vnat1(iip1,jjb_v:jje_v,nlevnc), stat = error)
-        IF (error /= 0) CALL abort_gcm(modname,abort_message,1)
-        ALLOCATE(vgui1(ijb_v:ije_v,llm), stat = error)
-        IF (error /= 0) CALL abort_gcm(modname,abort_message,1)
-        ALLOCATE(vnat2(iip1,jjb_v:jje_v,nlevnc), stat = error)
-        IF (error /= 0) CALL abort_gcm(modname,abort_message,1)
-        ALLOCATE(vgui2(ijb_v:ije_v,llm), stat = error)
-        IF (error /= 0) CALL abort_gcm(modname,abort_message,1)
-        vnat1=0.;vnat2=0.;vgui1=0.;vgui2=0.
+      ALLOCATE(vnat1(iip1, jjb_v:jje_v, nlevnc), stat = error)
+      IF (error /= 0) CALL abort_gcm(modname, abort_message, 1)
+      ALLOCATE(vgui1(ijb_v:ije_v, llm), stat = error)
+      IF (error /= 0) CALL abort_gcm(modname, abort_message, 1)
+      ALLOCATE(vnat2(iip1, jjb_v:jje_v, nlevnc), stat = error)
+      IF (error /= 0) CALL abort_gcm(modname, abort_message, 1)
+      ALLOCATE(vgui2(ijb_v:ije_v, llm), stat = error)
+      IF (error /= 0) CALL abort_gcm(modname, abort_message, 1)
+      vnat1 = 0.;vnat2 = 0.;vgui1 = 0.;vgui2 = 0.
     ENDIF
 
     IF (guide_plevs==2) THEN
-        ALLOCATE(pnat1(iip1,jjb_u:jje_u,nlevnc), stat = error)
-        IF (error /= 0) CALL abort_gcm(modname,abort_message,1)
-        ALLOCATE(pnat2(iip1,jjb_u:jje_u,nlevnc), stat = error)
-        IF (error /= 0) CALL abort_gcm(modname,abort_message,1)
-        pnat1=0.;pnat2=0.;
+      ALLOCATE(pnat1(iip1, jjb_u:jje_u, nlevnc), stat = error)
+      IF (error /= 0) CALL abort_gcm(modname, abort_message, 1)
+      ALLOCATE(pnat2(iip1, jjb_u:jje_u, nlevnc), stat = error)
+      IF (error /= 0) CALL abort_gcm(modname, abort_message, 1)
+      pnat1 = 0.;pnat2 = 0.;
     ENDIF
 
     IF (guide_P.OR.guide_plevs==1) THEN
-        ALLOCATE(psnat1(iip1,jjb_u:jje_u), stat = error)
-        IF (error /= 0) CALL abort_gcm(modname,abort_message,1)
-        ALLOCATE(psnat2(iip1,jjb_u:jje_u), stat = error)
-        IF (error /= 0) CALL abort_gcm(modname,abort_message,1)
-        psnat1=0.;psnat2=0.;
+      ALLOCATE(psnat1(iip1, jjb_u:jje_u), stat = error)
+      IF (error /= 0) CALL abort_gcm(modname, abort_message, 1)
+      ALLOCATE(psnat2(iip1, jjb_u:jje_u), stat = error)
+      IF (error /= 0) CALL abort_gcm(modname, abort_message, 1)
+      psnat1 = 0.;psnat2 = 0.;
     ENDIF
     IF (guide_P) THEN
-        ALLOCATE(psgui2(ijb_u:ije_u), stat = error)
-        IF (error /= 0) CALL abort_gcm(modname,abort_message,1)
-        ALLOCATE(psgui1(ijb_u:ije_u), stat = error)
-        IF (error /= 0) CALL abort_gcm(modname,abort_message,1)
-        psgui1=0.;psgui2=0.
-    ENDIF
-
-! ---------------------------------------------
-!   Lecture du premier etat de guidage.
-! ---------------------------------------------
+      ALLOCATE(psgui2(ijb_u:ije_u), stat = error)
+      IF (error /= 0) CALL abort_gcm(modname, abort_message, 1)
+      ALLOCATE(psgui1(ijb_u:ije_u), stat = error)
+      IF (error /= 0) CALL abort_gcm(modname, abort_message, 1)
+      psgui1 = 0.;psgui2 = 0.
+    ENDIF
+
+    ! ---------------------------------------------
+    !   Lecture du premier etat de guidage.
+    ! ---------------------------------------------
     IF (guide_2D) THEN
-        CALL guide_read2D(1)
+      CALL guide_read2D(1)
     ELSE
-        CALL guide_read(1)
-    ENDIF
-    IF (guide_v) vnat1=vnat2
-    IF (guide_u) unat1=unat2
-    IF (guide_T) tnat1=tnat2
-    IF (guide_Q) qnat1=qnat2
-    IF (guide_plevs==2) pnat1=pnat2
-    IF (guide_P.OR.guide_plevs==1) psnat1=psnat2
+      CALL guide_read(1)
+    ENDIF
+    IF (guide_v) vnat1 = vnat2
+    IF (guide_u) unat1 = unat2
+    IF (guide_T) tnat1 = tnat2
+    IF (guide_Q) qnat1 = qnat2
+    IF (guide_plevs==2) pnat1 = pnat2
+    IF (guide_P.OR.guide_plevs==1) psnat1 = psnat2
 
   END SUBROUTINE guide_init
 
-!=======================================================================
-  SUBROUTINE guide_main(itau,ucov,vcov,teta,q,masse,ps)
-    use exner_hyb_loc_m, ONLY: exner_hyb_loc
-    use exner_milieu_loc_m, ONLY: exner_milieu_loc
+  !=======================================================================
+  SUBROUTINE guide_main(itau, ucov, vcov, teta, q, masse, ps)
+    USE exner_hyb_loc_m, ONLY: exner_hyb_loc
+    USE exner_milieu_loc_m, ONLY: exner_milieu_loc
     USE parallel_lmdz
     USE control_mod
